import { KeyPairIdentity } from './KeyPairIdentity';
import { SignatureType } from '@streamr/trackerless-network';
/**
 * An identity that uses a quantum-resistant ML-DSA-87 key pair to sign messages.
 */
export declare class MLDSAKeyPairIdentity extends KeyPairIdentity {
    assertValidKeyPair(): void;
    getSignatureType(): SignatureType;
    createMessageSignature(payload: Uint8Array): Promise<Uint8Array>;
    static generate(): MLDSAKeyPairIdentity;
}
